[X2go-Commits] x2goserver.git - master (branch) updated: 3.0.99.7-6-ga5e4515

X2go dev team git-admin at x2go.org
Thu Oct 27 12:52:49 CEST 2011


The branch, master has been updated
       via  a5e451560ad1d70ce2cd26333fc585e2830ccb15 (commit)
      from  606b4ffa50bab0425db81bd2e1a55d9c8585c040 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a5e451560ad1d70ce2cd26333fc585e2830ccb15
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Thu Oct 27 12:52:46 2011 +0200

    fix for x2goserver-xsession implementation (tested on Debian Edu)

-----------------------------------------------------------------------

Summary of changes:
 x2goserver-xsession/etc/Xsession |   18 +++++++++++++-----
 x2goserver/bin/x2goruncommand    |   10 ++++++++++
 x2goserver/bin/x2gostartagent    |    3 ---
 3 files changed, 23 insertions(+), 8 deletions(-)

The diff of changes is:
diff --git a/x2goserver-xsession/etc/Xsession b/x2goserver-xsession/etc/Xsession
index 6a6ca58..5cf39d6 100755
--- a/x2goserver-xsession/etc/Xsession
+++ b/x2goserver-xsession/etc/Xsession
@@ -99,13 +99,21 @@ rm -f "$WRITE_TEST"
 # instead of executing so that the variables and functions defined above
 # are available to the scripts, and so that they can pass variables to each
 # other
+
+SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
+SYSSESSIONDIR=/etc/x2go/Xsession.d
+
 SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
+
+### source Xsession files
 if [ -n "$SESSIONFILES" ]; then
-  set +e
-  for SESSIONFILE in $SESSIONFILES; do
-    . $SESSIONFILE
-  done
-  set -e
+
+    set +e
+    for SESSIONFILE in $SESSIONFILES; do
+        /usr/lib/x2go/x2gosyslog "$0" "notice" "executing $SESSIONFILE"
+        . $SESSIONFILE
+    done
+    set -e
 fi
 
 exit 0
diff --git a/x2goserver/bin/x2goruncommand b/x2goserver/bin/x2goruncommand
index 6ac93c1..d6033fa 100755
--- a/x2goserver/bin/x2goruncommand
+++ b/x2goserver/bin/x2goruncommand
@@ -115,6 +115,16 @@ x2gofeature X2GO_RUN_EXTENSIONS &>/dev/null && x2goserver-run-extensions $SESSIO
 sucessful_run=false
 if [ "$EXEC" != "" ] && [ -x $EXEC ]; then
 	$X2GO_LIB_PATH/x2gosyslog "$0" "debug" "running command $EXEC"
+
+	x2gofeature X2GO_XSESSION &>/dev/null && [ "x$X2GO_SESS_TYPE" = "xD" ] && {
+		STARTUP=$cmd
+		$X2GO_LIB_PATH/x2gosyslog "$0" "notice" "launching session with Xsession-x2go mechanism, using STARTUP=\"$STARTUP\""
+		export $STARTUP
+		/etc/x2go/Xsession
+	} || {
+		$cmd
+	}
+
 	$cmd
 	#### some applications can quit immediately, we will wait here as long as x2goagent exists
 	if [  "$X2GO_SESS_TYPE" == "R" ] && [ "$IMEXIT" == "false" ]; then
diff --git a/x2goserver/bin/x2gostartagent b/x2goserver/bin/x2gostartagent
index 3d26a9e..00c2a58 100755
--- a/x2goserver/bin/x2gostartagent
+++ b/x2goserver/bin/x2gostartagent
@@ -238,9 +238,6 @@ X2GO_AGENT_RETVAL=$?
 test $X2GO_AGENT_RETVAL && {
 	$X2GO_LIB_PATH/x2gosyslog "$0" "notice" "successfully started X2go agent session with ID $SESSION_NAME"
 
-	# initialize x2goserver-xsession (process /etc/x2go/Xsession)
-	x2gofeature X2GO_XSESSION &>/dev/null && [ "x$SESSION_TYPE" = "xD" ] && . /etc/x2go/Xsession
-
 	# run x2goserver-extensions for post-start
 	x2gofeature X2GO_RUN_EXTENSIONS &>/dev/null && x2goserver-run-extensions $SESSION_NAME post-start
 


hooks/post-receive
-- 
x2goserver.git (X2go Server)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2goserver.git" (X2go Server).




More information about the x2go-commits mailing list